diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/lr-wpan/bindings/modulegen__gcc_ILP32.py ns-3.31/src/lr-wpan/bindings/modulegen__gcc_ILP32.py
--- ns-3.30.1/src/lr-wpan/bindings/modulegen__gcc_ILP32.py	2019-08-12 17:00:27.000000000 -0700
+++ ns-3.31/src/lr-wpan/bindings/modulegen__gcc_ILP32.py	2020-06-27 17:38:30.000000000 -0700
@@ -4848,6 +5422,54 @@
                    [param('ns3::CallbackBase', 'base')])
     return
 
+def register_Ns3CommandPayloadHeader_methods(root_module, cls):
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): ns3::CommandPayloadHeader::CommandPayloadHeader(ns3::CommandPayloadHeader const & arg0) [constructor]
+    cls.add_constructor([param('ns3::CommandPayloadHeader const &', 'arg0')])
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): ns3::CommandPayloadHeader::CommandPayloadHeader() [constructor]
+    cls.add_constructor([])
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): ns3::CommandPayloadHeader::CommandPayloadHeader(ns3::CommandPayloadHeader::MacCommand macCmd) [constructor]
+    cls.add_constructor([param('ns3::CommandPayloadHeader::MacCommand', 'macCmd')])
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): uint32_t ns3::CommandPayloadHeader::Deserialize(ns3::Buffer::Iterator start) [member function]
+    cls.add_method('Deserialize', 
+                   'uint32_t', 
+                   [param('ns3::Buffer::Iterator', 'start')], 
+                   is_virtual=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): ns3::CommandPayloadHeader::MacCommand ns3::CommandPayloadHeader::GetCommandFrameType() const [member function]
+    cls.add_method('GetCommandFrameType', 
+                   'ns3::CommandPayloadHeader::MacCommand', 
+                   [], 
+                   is_const=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): ns3::TypeId ns3::CommandPayloadHeader::GetInstanceTypeId() const [member function]
+    cls.add_method('GetInstanceTypeId', 
+                   'ns3::TypeId', 
+                   [], 
+                   is_const=True, is_virtual=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): uint32_t ns3::CommandPayloadHeader::GetSerializedSize() const [member function]
+    cls.add_method('GetSerializedSize', 
+                   'uint32_t', 
+                   [], 
+                   is_const=True, is_virtual=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): static ns3::TypeId ns3::CommandPayloadHeader::GetTypeId() [member function]
+    cls.add_method('GetTypeId', 
+                   'ns3::TypeId', 
+                   [], 
+                   is_static=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): void ns3::CommandPayloadHeader::Print(std::ostream & os) const [member function]
+    cls.add_method('Print', 
+                   'void', 
+                   [param('std::ostream &', 'os')], 
+                   is_const=True, is_virtual=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): void ns3::CommandPayloadHeader::Serialize(ns3::Buffer::Iterator start) const [member function]
+    cls.add_method('Serialize', 
+                   'void', 
+                   [param('ns3::Buffer::Iterator', 'start')], 
+                   is_const=True, is_virtual=True)
+    ## lr-wpan-mac-pl-headers.h (module 'lr-wpan'): void ns3::CommandPayloadHeader::SetCommandFrameType(ns3::CommandPayloadHeader::MacCommand macCmd) [member function]
+    cls.add_method('SetCommandFrameType', 
+                   'void', 
+                   [param('ns3::CommandPayloadHeader::MacCommand', 'macCmd')])
+    return
+
 def register_Ns3DoubleValue_methods(root_module, cls):
     ## double.h (module 'core'): ns3::DoubleValue::DoubleValue() [constructor]
     cls.add_constructor([])
@@ -4954,7 +5576,7 @@
     cls.add_method('Copy', 
                    'ns3::Ptr< ns3::AttributeValue >', 
                    [], 
-                   is_const=True, is_virtual=True, visibility='private')
+                   is_const=True, visibility='private', is_virtual=True)
     ## attribute.h (module 'core'): bool ns3::EmptyAttributeValue::DeserializeFromString(std::string value, ns3::Ptr<const ns3::AttributeChecker> checker) [member function]
     cls.add_method('DeserializeFromString', 
                    'bool', 
@@ -4964,7 +5586,7 @@
     cls.add_method('SerializeToString', 
                    'std::string', 
                    [param('ns3::Ptr< ns3::AttributeChecker const >', 'checker')], 
-                   is_const=True, is_virtual=True, visibility='private')
+                   is_const=True, visibility='private', is_virtual=True)
     return
 
 def register_Ns3EnumChecker_methods(root_module, cls):
@@ -4995,11 +5617,21 @@
                    'ns3::Ptr< ns3::AttributeValue >', 
                    [], 
                    is_const=True, is_virtual=True)
+    ## enum.h (module 'core'): std::string ns3::EnumChecker::GetName(int value) const [member function]
+    cls.add_method('GetName', 
+                   'std::string', 
+                   [param('int', 'value')], 
+                   is_const=True)
     ## enum.h (module 'core'): std::string ns3::EnumChecker::GetUnderlyingTypeInformation() const [member function]
     cls.add_method('GetUnderlyingTypeInformation', 
                    'std::string', 
                    [], 
                    is_const=True, is_virtual=True)
+    ## enum.h (module 'core'): int ns3::EnumChecker::GetValue(std::string const name) const [member function]
+    cls.add_method('GetValue', 
+                   'int', 
+                   [param('std::string const', 'name')], 
+                   is_const=True)
     ## enum.h (module 'core'): std::string ns3::EnumChecker::GetValueTypeName() const [member function]
     cls.add_method('GetValueTypeName', 
                    'std::string', 
@@ -5066,7 +5698,7 @@
     cls.add_method('Notify', 
                    'void', 
                    [], 
-                   is_virtual=True, is_pure_virtual=True, visibility='protected')
+                   is_virtual=True, visibility='protected', is_pure_virtual=True)
     return
 
 def register_Ns3IntegerValue_methods(root_module, cls):
@@ -5358,14 +5990,26 @@
     cls.add_method('RequestCCA', 
                    'void', 
                    [])
+    ## lr-wpan-csmaca.h (module 'lr-wpan'): void ns3::LrWpanCsmaCa::DeferCsmaTimeout() [member function]
+    cls.add_method('DeferCsmaTimeout', 
+                   'void', 
+                   [])
     ## lr-wpan-csmaca.h (module 'lr-wpan'): void ns3::LrWpanCsmaCa::PlmeCcaConfirm(ns3::LrWpanPhyEnumeration status) [member function]
     cls.add_method('PlmeCcaConfirm', 
                    'void', 
                    [param('ns3::LrWpanPhyEnumeration', 'status')])
+    ## lr-wpan-csmaca.h (module 'lr-wpan'): void ns3::LrWpanCsmaCa::SetLrWpanMacTransCostCallback(ns3::LrWpanMacTransCostCallback trans) [member function]
+    cls.add_method('SetLrWpanMacTransCostCallback', 
+                   'void', 
+                   [param('ns3::Callback< void, unsigned int, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'trans')])
     ## lr-wpan-csmaca.h (module 'lr-wpan'): void ns3::LrWpanCsmaCa::SetLrWpanMacStateCallback(ns3::LrWpanMacStateCallback macState) [member function]
     cls.add_method('SetLrWpanMacStateCallback', 
                    'void', 
                    [param('ns3::Callback< void, ns3::LrWpanMacState, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'macState')])
+    ## lr-wpan-csmaca.h (module 'lr-wpan'): void ns3::LrWpanCsmaCa::SetBatteryLifeExtension(bool batteryLifeExtension) [member function]
+    cls.add_method('SetBatteryLifeExtension', 
+                   'void', 
+                   [param('bool', 'batteryLifeExtension')])
     ## lr-wpan-csmaca.h (module 'lr-wpan'): int64_t ns3::LrWpanCsmaCa::AssignStreams(int64_t stream) [member function]
     cls.add_method('AssignStreams', 
                    'int64_t', 
@@ -5374,6 +6018,10 @@
     cls.add_method('GetNB', 
                    'uint8_t', 
                    [])
+    ## lr-wpan-csmaca.h (module 'lr-wpan'): bool ns3::LrWpanCsmaCa::GetBatteryLifeExtension() [member function]
+    cls.add_method('GetBatteryLifeExtension', 
+                   'bool', 
+                   [])
     ## lr-wpan-csmaca.h (module 'lr-wpan'): void ns3::LrWpanCsmaCa::DoDispose() [member function]
     cls.add_method('DoDispose', 
                    'void', 
@@ -5440,6 +6088,10 @@
                    'ns3::Mac64Address', 
                    [], 
                    is_const=True)
+    ## lr-wpan-mac.h (module 'lr-wpan'): uint32_t ns3::LrWpanMac::GetIfsSize() [member function]
+    cls.add_method('GetIfsSize', 
+                   'uint32_t', 
+                   [])
     ## lr-wpan-mac.h (module 'lr-wpan'): uint64_t ns3::LrWpanMac::GetMacAckWaitDuration() const [member function]
     cls.add_method('GetMacAckWaitDuration', 
                    'uint64_t', 
@@ -5468,6 +6120,10 @@
                    'ns3::Mac16Address', 
                    [], 
                    is_const=True)
+    ## lr-wpan-mac.h (module 'lr-wpan'): uint64_t ns3::LrWpanMac::GetTxPacketSymbols() [member function]
+    cls.add_method('GetTxPacketSymbols', 
+                   'uint64_t', 
+                   [])
     ## lr-wpan-mac.h (module 'lr-wpan'): static ns3::TypeId ns3::LrWpanMac::GetTypeId() [member function]
     cls.add_method('GetTypeId', 
                    'ns3::TypeId', 
@@ -5477,6 +6133,18 @@
     cls.add_method('McpsDataRequest', 
                    'void', 
                    [param('ns3::McpsDataRequestParams', 'params'), param('ns3::Ptr< ns3::Packet >', 'p')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::MlmePollRequest(ns3::MlmePollRequestParams params) [member function]
+    cls.add_method('MlmePollRequest', 
+                   'void', 
+                   [param('ns3::MlmePollRequestParams', 'params')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::MlmeStartRequest(ns3::MlmeStartRequestParams params) [member function]
+    cls.add_method('MlmeStartRequest', 
+                   'void', 
+                   [param('ns3::MlmeStartRequestParams', 'params')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::MlmeSyncRequest(ns3::MlmeSyncRequestParams params) [member function]
+    cls.add_method('MlmeSyncRequest', 
+                   'void', 
+                   [param('ns3::MlmeSyncRequestParams', 'params')])
     ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::PdDataConfirm(ns3::LrWpanPhyEnumeration status) [member function]
     cls.add_method('PdDataConfirm', 
                    'void', 
@@ -5505,6 +6173,14 @@
     cls.add_method('PlmeSetTRXStateConfirm', 
                    'void', 
                    [param('ns3::LrWpanPhyEnumeration', 'status')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetAssociatedCoor(ns3::Mac16Address mac) [member function]
+    cls.add_method('SetAssociatedCoor', 
+                   'void', 
+                   [param('ns3::Mac16Address', 'mac')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetAssociatedCoor(ns3::Mac64Address mac) [member function]
+    cls.add_method('SetAssociatedCoor', 
+                   'void', 
+                   [param('ns3::Mac64Address', 'mac')])
     ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetAssociationStatus(ns3::LrWpanAssociationStatus status) [member function]
     cls.add_method('SetAssociationStatus', 
                    'void', 
@@ -5533,6 +6209,22 @@
     cls.add_method('SetMcpsDataIndicationCallback', 
                    'void', 
                    [param('ns3::Callback< void, ns3::McpsDataIndicationParams, ns3::Ptr< ns3::Packet >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'c')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetMlmeBeaconNotifyIndicationCallback(ns3::MlmeBeaconNotifyIndicationCallback c) [member function]
+    cls.add_method('SetMlmeBeaconNotifyIndicationCallback', 
+                   'void', 
+                   [param('ns3::Callback< void, ns3::MlmeBeaconNotifyIndicationParams, ns3::Ptr< ns3::Packet >, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'c')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetMlmePollConfirmCallback(ns3::MlmePollConfirmCallback c) [member function]
+    cls.add_method('SetMlmePollConfirmCallback', 
+                   'void', 
+                   [param('ns3::Callback< void, ns3::MlmePollConfirmParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'c')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetMlmeStartConfirmCallback(ns3::MlmeStartConfirmCallback c) [member function]
+    cls.add_method('SetMlmeStartConfirmCallback', 
+                   'void', 
+                   [param('ns3::Callback< void, ns3::MlmeStartConfirmParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'c')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetMlmeSyncLossIndicationCallback(ns3::MlmeSyncLossIndicationCallback c) [member function]
+    cls.add_method('SetMlmeSyncLossIndicationCallback', 
+                   'void', 
+                   [param('ns3::Callback< void, ns3::MlmeSyncLossIndicationParams, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty >', 'c')])
     ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::SetPanId(uint16_t panId) [member function]
     cls.add_method('SetPanId', 
                    'void', 
@@ -5549,20 +6241,64 @@
     cls.add_method('SetShortAddress', 
                    'void', 
                    [param('ns3::Mac16Address', 'address')])
+    ## lr-wpan-mac.h (module 'lr-wpan'): bool ns3::LrWpanMac::isCoordDest() [member function]
+    cls.add_method('isCoordDest', 
+                   'bool', 
+                   [])
+    ## lr-wpan-mac.h (module 'lr-wpan'): bool ns3::LrWpanMac::isTxAckReq() [member function]
+    cls.add_method('isTxAckReq', 
+                   'bool', 
+                   [])
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::aBaseSlotDuration [variable]
+    cls.add_static_attribute('aBaseSlotDuration', 'uint32_t const', is_const=True)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::aBaseSuperframeDuration [variable]
+    cls.add_static_attribute('aBaseSuperframeDuration', 'uint32_t const', is_const=True)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::aMaxLostBeacons [variable]
+    cls.add_static_attribute('aMaxLostBeacons', 'uint32_t const', is_const=True)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::aMaxSIFSFrameSize [variable]
+    cls.add_static_attribute('aMaxSIFSFrameSize', 'uint32_t const', is_const=True)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::aMinMPDUOverhead [variable]
     cls.add_static_attribute('aMinMPDUOverhead', 'uint32_t const', is_const=True)
-    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_aBaseSlotDuration [variable]
-    cls.add_instance_attribute('m_aBaseSlotDuration', 'uint64_t', is_const=False)
-    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_aBaseSuperframeDuration [variable]
-    cls.add_instance_attribute('m_aBaseSuperframeDuration', 'uint64_t', is_const=False)
-    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_aNumSuperframeSlots [variable]
-    cls.add_instance_attribute('m_aNumSuperframeSlots', 'uint64_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::aNumSuperframeSlots [variable]
+    cls.add_static_attribute('aNumSuperframeSlots', 'uint32_t const', is_const=True)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_beaconInterval [variable]
+    cls.add_instance_attribute('m_beaconInterval', 'uint32_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_beaconTrackingOn [variable]
+    cls.add_instance_attribute('m_beaconTrackingOn', 'bool', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_deviceCapability [variable]
+    cls.add_instance_attribute('m_deviceCapability', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_fnlCapSlot [variable]
+    cls.add_instance_attribute('m_fnlCapSlot', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_ifs [variable]
+    cls.add_instance_attribute('m_ifs', 'uint32_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_incomingBeaconInterval [variable]
+    cls.add_instance_attribute('m_incomingBeaconInterval', 'uint32_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_incomingBeaconOrder [variable]
+    cls.add_instance_attribute('m_incomingBeaconOrder', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_incomingFnlCapSlot [variable]
+    cls.add_instance_attribute('m_incomingFnlCapSlot', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_incomingSuperframeDuration [variable]
+    cls.add_instance_attribute('m_incomingSuperframeDuration', 'uint32_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_incomingSuperframeOrder [variable]
+    cls.add_instance_attribute('m_incomingSuperframeOrder', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macAutoRequest [variable]
+    cls.add_instance_attribute('m_macAutoRequest', 'bool', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macBeaconOrder [variable]
-    cls.add_instance_attribute('m_macBeaconOrder', 'uint64_t', is_const=False)
+    cls.add_instance_attribute('m_macBeaconOrder', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macBeaconRxTime [variable]
+    cls.add_instance_attribute('m_macBeaconRxTime', 'ns3::Time', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macBeaconTxTime [variable]
-    cls.add_instance_attribute('m_macBeaconTxTime', 'uint64_t', is_const=False)
+    cls.add_instance_attribute('m_macBeaconTxTime', 'ns3::Time', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macBsn [variable]
+    cls.add_instance_attribute('m_macBsn', 'ns3::SequenceNumber8', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macCoordExtendedAddress [variable]
+    cls.add_instance_attribute('m_macCoordExtendedAddress', 'ns3::Mac64Address', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macCoordShortAddress [variable]
+    cls.add_instance_attribute('m_macCoordShortAddress', 'ns3::Mac16Address', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macDsn [variable]
     cls.add_instance_attribute('m_macDsn', 'ns3::SequenceNumber8', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macLIFSPeriod [variable]
+    cls.add_instance_attribute('m_macLIFSPeriod', 'uint32_t', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macMaxFrameRetries [variable]
     cls.add_instance_attribute('m_macMaxFrameRetries', 'uint8_t', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macPanId [variable]
@@ -5571,10 +6307,22 @@
     cls.add_instance_attribute('m_macPromiscuousMode', 'bool', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macRxOnWhenIdle [variable]
     cls.add_instance_attribute('m_macRxOnWhenIdle', 'bool', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macSIFSPeriod [variable]
+    cls.add_instance_attribute('m_macSIFSPeriod', 'uint32_t', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macSuperframeOrder [variable]
-    cls.add_instance_attribute('m_macSuperframeOrder', 'uint64_t', is_const=False)
+    cls.add_instance_attribute('m_macSuperframeOrder', 'uint8_t', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macSyncSymbolOffset [variable]
     cls.add_instance_attribute('m_macSyncSymbolOffset', 'uint64_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_macTransactionPersistanceTime [variable]
+    cls.add_instance_attribute('m_macTransactionPersistanceTime', 'uint16_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_numLostBeacons [variable]
+    cls.add_instance_attribute('m_numLostBeacons', 'uint8_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_panCoor [variable]
+    cls.add_instance_attribute('m_panCoor', 'bool', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_rxBeaconSymbols [variable]
+    cls.add_instance_attribute('m_rxBeaconSymbols', 'uint64_t', is_const=False)
+    ## lr-wpan-mac.h (module 'lr-wpan'): ns3::LrWpanMac::m_superframeDuration [variable]
+    cls.add_instance_attribute('m_superframeDuration', 'uint32_t', is_const=False)
     ## lr-wpan-mac.h (module 'lr-wpan'): void ns3::LrWpanMac::DoDispose() [member function]
     cls.add_method('DoDispose', 
                    'void', 
@@ -6620,7 +7368,7 @@
     cls.add_method('operator()', 
                    'bool', 
                    [param('ns3::Ptr< ns3::NetDevice >', 'arg0'), param('ns3::Ptr< ns3::Packet const >', 'arg1'), param('short unsigned int', 'arg2'), param('ns3::Address const &', 'arg3')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Ns3ObjectBase___star___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6642,7 +7390,7 @@
     cls.add_method('operator()', 
                    'ns3::ObjectBase *', 
                    [], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3LrWpanMacState_Ns3LrWpanMacState_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6664,7 +7412,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::LrWpanMacState', 'arg0'), param('ns3::LrWpanMacState', 'arg1')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3LrWpanPhyEnumeration_Ns3LrWpanPhyEnumeration_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6686,7 +7434,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::LrWpanPhyEnumeration', 'arg0'), param('ns3::LrWpanPhyEnumeration', 'arg1')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3McpsDataConfirmParams_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
@@ -6708,7 +7456,7 @@
     cls.add_method('operator()', 
                    'void', 
                    [param('ns3::McpsDataConfirmParams', 'arg0')], 
-                   custom_name='__call__', is_virtual=True, is_pure_virtual=True)
+                   is_virtual=True, is_pure_virtual=True, custom_name='__call__')
     return
 
 def register_Ns3CallbackImpl__Void_Ns3McpsDataIndicationParams_Ns3Ptr__lt__ns3Packet__gt___Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_Ns3Empty_methods(root_module, cls):
